#!/bin/bash

# Prima un pò di pulizia
apt purge calamares eggs
rm -rf /etc/calamares/
rm -rf /etc/penguins-eggs.d/
rm -rf /usr/local/share/penguins-eggs/
rm -rf /usr/lib/calamares/
rm -f /etc/penguins-eggs.conf
rm -f /usr/share/applications/penguins-eggs-adapt.desktop
rm -f /usr/share/applications/penguins-eggs.desktop
rm -f /usr/share/applications/penguins-eggs-installer.desktop
rm -f /usr/bin/penguins-links-add.sh
rm -rf /usr/lib/penguins-eggs/
apt install eggs

#Penguin eggs dialog

# installa prerequisiti Eggs
if whiptail  --notags --title "Eggs prerequisites" --yesno "Do you want to install eggs prerequisites?" 8 35 3>&1 1>&2 2>&3; then
    eggs prerequisites && echo "Success: prerequisites installed"
else
    echo "Prerequisites not installed"
fi

# copia in etc/skel
if whiptail  --notags --title "Eggs skel" --yesno "Do you want to copy your customizations?" 8 35 3>&1 1>&2 2>&3; then
    eggs tools:skel && echo "Success: customizations copied"
else
    echo "skipped"
fi

# installa Egss Calamares
if whiptail  --notags --title "Eggs Calamares" --yesno "Do you want to install and use Calamares?" 8 35 3>&1 1>&2 2>&3; then
    eggs calamares && echo "Success: Calamares in use"
else
    echo "Calamares not installed"
fi

user_name=""
file_name="/etc/calamares/modules/removeuser.conf"

while [ -z "$user_name"  ]; do
    user_name="$(zenity --entry --title="Add an Entry" --text="Enter your user name:" --entry-text "user name")"
    sed -i "s/username:.*/username: ${user_name}/"  "$file_name"
    case "$user_name" in
        *\ * )
        echo "User name missing or invalid"
        user_name=""
        ;;
    esac
done

if zenity --question --title="Eggs produce iso" --text="Do you want to create your iso?" --no-wrap 
    then
        eggs produce -mv --basename UfficioZero --theme ufficiozero --final;
        whiptail  --notags --title "Success" --msgbox "Your iso is ready" 8 35 3
fi
